//
import java.io.*;
import javax.microedition.io.*;
import java.util.*;

//#ifdef DOJA	//DOJA

import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

//#endif

//MIDPGraphicsNXDOJAGraphicsNXɕϊBDOTTED͖T|[g
class GraphicsMIDP2DOJA {
	public static final int HCENTER = 1;
	public static final int VCENTER = 2;
	public static final int LEFT	= 4;
	public static final int RIGHT	= 8;
	public static final int TOP		= 16;
	public static final int BOTTOM	= 32;
	public static final int BASELINE= 64;
	
	Font font2;
	Graphics g;

	public GraphicsMIDP2DOJA(Graphics gra) {
		g = gra;
		//super(g);
	}
	
	public void drawString(String str, int x, int y, int anchor){
		if((anchor & RIGHT) != 0){
			x -= font2.stringWidth( str );
		} else if((anchor & HCENTER) != 0){
			x -= font2.stringWidth( str ) / 2;
		}

		if((anchor & BOTTOM) != 0){
			y += font2.getAscent() - font2.getHeight();
		} else if((anchor & TOP) != 0){
			y += font2.getAscent();
		}
		
		drawString( str, x, y);
	}
	
	public void drawImage(Image img, int x, int y, int anchor) {
		if((anchor & RIGHT) != 0){
			x -= img.getWidth();
		} else if((anchor & HCENTER) != 0){
			x -= img.getWidth() / 2;
		}

		if((anchor & VCENTER) != 0){
			y -= img.getHeight();
		} else if((anchor & HCENTER) != 0){
			y -= img.getHeight() / 2;
		}

		drawImage( img, x, y);
	}

	public void setColor(int r, int g, int b){
		setColor(Graphics.getColorOfRGB(r, g, b));
	}
	

	public void clearRect(int x, int y, int w, int h) {g.clearRect(x, y, w, h);}
	public void setColor(int c) {g.setColor(c);}
	public void setOrigin(int x, int y) {g.setOrigin( x, y);}
	public void setFont(Font font) {
		font2 = font;
		g.setFont(font);
	}
	public void lock() {g.lock();}
	public void unlock(boolean forced) {g.unlock(forced);}
	public void drawLine(int x1, int y1, int x2, int y2) {g.drawLine(x1, y1, x2, y2);}
	public void fillRect(int x, int y, int w, int h) {g.fillRect(x, y, w, h);}
	public void drawRect(int x, int y, int w, int h) {g.drawRect(x, y, w, h);}
	public void drawPolyline(int xp[], int yp[], int n) {g.drawPolyline(xp, yp, n);}
	public void fillPolygon(int xp[], int yp[], int n) {g.fillPolygon(xp, yp, n);}
	public void drawString(String s, int x, int y) {g.drawString(s, x, y);}
	public void drawChars(char data[], int off, int l, int x, int y) {g.drawChars(data, off, l, x, y);}
	public void drawImage(Image img, int x, int y){g.drawImage(img, x, y);}
	public void dispose() {g.dispose();}
	public Graphics copy() {return g.copy();}
	
}
